Loading...
Searching...
No Matches
join_with.hpp File Reference

Provides seqan3::views::join_with. More...

`#include <seqan3/contrib/std/join_with_view.hpp>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for join_with.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Typedefs

using | seqan3::views::join_with = seqan::stl::views::join_with

A view adaptor that represents view consisting of the sequence obtained from flattening a view of ranges, with every element of the delimiter inserted in between elements of the view. The delimiter can be a single element or a view of elements.

This entity is not part of the SeqAn API. Do not rely on it in your applications. This is a implementation of the C++23 join_with_view. It will be replaced with ::std::views::join_with.

.

## Detailed Description

Provides seqan3::views::join_with.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

Hide me